## org.apache.fop.layout
Class LinkedRectangle

    java.lang.Object
      |
      +--org.apache.fop.layout.LinkedRectangle

public class LinkedRectangle
extends java.lang.Object

an object that stores a rectangle that is linked, and the LineArea that it is logically associated with

Field Summary
`protected LineArea` `lineArea` the associated LineArea
`protected java.awt.Rectangle` `link` the linked Rectangle

Constructor Summary
`LinkedRectangle(LinkedRectangle lr)`
`LinkedRectangle(java.awt.Rectangle link, LineArea lineArea)`

Method Summary
`int` `getHeight()`
`LineArea` `getLineArea()`
`java.awt.Rectangle` `getRectangle()`
`int` `getWidth()`
`int` `getX()`
`int` `getY()`
`void` `setHeight(int height)`
`void` `setLineArea()`
`void` `setRectangle(java.awt.Rectangle link)`
`void` `setWidth(int width)`
`void` `setX(int x)`
`void` `setY(int y)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### link

    protected java.awt.Rectangle link

  the linked Rectangle

### lineArea

    protected LineArea lineArea

  the associated LineArea

Constructor Detail

### LinkedRectangle

    public LinkedRectangle(java.awt.Rectangle link,
                           LineArea lineArea)

### LinkedRectangle

    public LinkedRectangle(LinkedRectangle lr)

Method Detail

### setRectangle

    public void setRectangle(java.awt.Rectangle link)

### getRectangle

    public java.awt.Rectangle getRectangle()

### getLineArea

    public LineArea getLineArea()

### setLineArea

    public void setLineArea()

### setX

    public void setX(int x)

### setY

    public void setY(int y)

### setWidth

    public void setWidth(int width)

### setHeight

    public void setHeight(int height)

### getX

    public int getX()

### getY

    public int getY()

### getWidth

    public int getWidth()

### getHeight

    public int getHeight()

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.